List All Product Media Types

Returns all available media (e.g. images) associated with the specified product.

This endpoint can be used to return the URL of a product picture. It makes it so you can display that shiny Charizard on your page more easily. The product details page will also return an image URL so this endpoint doesn't need to be called if an application is already calling the Get Product Details endpoint.

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "mediaType": "string",
      "contentList": [
        {
          "url": "string",
          "displayOrder": 0
        }
      ]
    }
  ]
}
/catalog/products/126022/media

{
    "success": true,
    "errors": [],
    "results": [
        {
            "mediaType": "images",
            "contentList": [
                {
                    "url": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/126022_200w.jpg",
                    "displayOrder": 1
                }
            ]
        }
    ]
}
Path Params
int64
required

The Id of the product whose media should be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

ProductId is less than or equal to 0.

404

Product not found or media not found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json